Bug 213415 - adding new locale Maithili (mai_IN)
adding new locale Maithili (mai_IN)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 07:47 EST by Rajesh Ranjan
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.5.90-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 07:57:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Locale File (3.30 KB, application/octet-stream)
2006-11-01 07:47 EST, Rajesh Ranjan
no flags Details
Updated locale file (1.97 KB, application/octet-stream)
2006-11-02 01:06 EST, Rajesh Ranjan
no flags Details
Updated file mai_IN (1.49 KB, text/plain)
2006-11-02 23:07 EST, Rajesh Ranjan
no flags Details

  None (edit)
Description Rajesh Ranjan 2006-11-01 07:47:55 EST
Description of problem:

Maithili (mai_IN) does exists in Fedora.
Maithili is one of the 22 languages scheduled in the constitution of India.
About 25 Million people speak this language. de  
More can be find at ..
http://en.wikipedia.org/wiki/Maithili

So creating a separate locale is nessessary.



Version-Release number of selected component (if applicable):


How reproducible:
Everytime.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rajesh Ranjan 2006-11-01 07:47:55 EST
Created attachment 139966 [details]
Locale File
Comment 2 Jakub Jelinek 2006-11-01 08:04:36 EST
Can you explain why you need a separate locale?
From what I can see, the only change between current hi_IN and mai_IN is
LC_IDENTIFICATION category, missing
translit_start
include "translit_combining";""
translit_end
in LC_CTYPE category (this was added fairly recently in glibc CVS to most
locales) and comments, nothing else.
So, wouldn't it be better to make mai_IN an alias to hi_IN?

If you really need separate hi_IN, couldn't it at least for all categories
which are identical between hi_IN and mai_IN use copy "hi_IN" rather than
duplicating all info?
Comment 3 Rajesh Ranjan 2006-11-02 01:06:14 EST
Created attachment 140091 [details]
Updated locale file
Comment 4 Rajesh Ranjan 2006-11-02 01:19:18 EST
Thnaks Jakub!
It will be better to make it seperate mai_IN. 
I attached locale file updated accordingly. 
Comment 5 Ulrich Drepper 2006-11-02 09:51:02 EST
There is no reason to not use copy for LC_CTYPE, LC_COLLATE, and LC_MEASUREMENT
as well.
Comment 6 Rajesh Ranjan 2006-11-02 23:07:33 EST
Created attachment 140213 [details]
Updated file mai_IN
Comment 7 Ulrich Drepper 2006-11-02 23:26:50 EST
There is one more category which should be copied.  I fixed the file up and
committed the change upstream.  It'll appear in the next rawhide build.
Comment 8 Jakub Jelinek 2006-11-05 07:57:31 EST
Fixed in glibc-2.5.90-4 in rawhide.

Note You need to log in before you can comment on or make changes to this bug.